RDKit::FingerprintGenerator< OutputType > Class Template Reference

class that generates same fingerprint style for different output formats More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::FingerprintGenerator< OutputType >:

## Public Member Functions

| FingerprintGenerator (AtomEnvironmentGenerator< OutputType > *atomEnvironmentGenerator, FingerprintArguments< OutputType > *fingerprintArguments, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, BondInvariantsGenerator *bondInvariantsGenerator=nullptr, bool ownsAtomInvGenerator=false, bool ownsBondInvGenerator=false)
| ~FingerprintGenerator ()
SparseIntVect< OutputType > * | getSparseCountFingerprint (const ROMol &mol, const std::vector< std::uint32_t > *fromAtoms=nullptr, const std::vector< std::uint32_t > *ignoreAtoms=nullptr, const int confId=-1, const AdditionalOutput *additionalOutput=nullptr, const std::vector< std::uint32_t > *customAtomInvariants=nullptr, const std::vector< std::uint32_t > *customBondInvariants=nullptr) const
SparseBitVect * | getSparseFingerprint (const ROMol &mol, const std::vector< std::uint32_t > *fromAtoms=nullptr, const std::vector< std::uint32_t > *ignoreAtoms=nullptr, const int confId=-1, const AdditionalOutput *additionalOutput=nullptr, const std::vector< std::uint32_t > *customAtomInvariants=nullptr, const std::vector< std::uint32_t > *customBondInvariants=nullptr) const
SparseIntVect< std::uint32_t > * | getCountFingerprint (const ROMol &mol, const std::vector< std::uint32_t > *fromAtoms=nullptr, const std::vector< std::uint32_t > *ignoreAtoms=nullptr, const int confId=-1, const AdditionalOutput *additionalOutput=nullptr, const std::vector< std::uint32_t > *customAtomInvariants=nullptr, const std::vector< std::uint32_t > *customBondInvariants=nullptr) const
ExplicitBitVect * | getFingerprint (const ROMol &mol, const std::vector< std::uint32_t > *fromAtoms=nullptr, const std::vector< std::uint32_t > *ignoreAtoms=nullptr, const int confId=-1, const AdditionalOutput *additionalOutput=nullptr, const std::vector< std::uint32_t > *customAtomInvariants=nullptr, const std::vector< std::uint32_t > *customBondInvariants=nullptr) const
std::string | infoString () const

## Detailed Description

### template<typename OutputType>
class RDKit::FingerprintGenerator< OutputType >

class that generates same fingerprint style for different output formats

Definition at line 268 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## FingerprintGenerator()

template<typename OutputType >

RDKit::FingerprintGenerator< OutputType >::FingerprintGenerator | ( | AtomEnvironmentGenerator< OutputType > * | atomEnvironmentGenerator,
|  | FingerprintArguments< OutputType > * | fingerprintArguments,
|  | AtomInvariantsGenerator * | atomInvariantsGenerator = `nullptr`,
|  | BondInvariantsGenerator * | bondInvariantsGenerator = `nullptr`,
|  | bool | ownsAtomInvGenerator = `false`,
|  | bool | ownsBondInvGenerator = `false`
| ) |  |

## ~FingerprintGenerator()

template<typename OutputType >

RDKit::FingerprintGenerator< OutputType >::~FingerprintGenerator | ( |  | ) |

## Member Function Documentation

## getCountFingerprint()

template<typename OutputType >

SparseIntVect<std::uint32_t>* RDKit::FingerprintGenerator< OutputType >::getCountFingerprint | ( | const ROMol & | mol,
|  | const std::vector< std::uint32_t > * | fromAtoms = `nullptr`,
|  | const std::vector< std::uint32_t > * | ignoreAtoms = `nullptr`,
|  | const int | confId = `-1`,
|  | const AdditionalOutput * | additionalOutput = `nullptr`,
|  | const std::vector< std::uint32_t > * | customAtomInvariants = `nullptr`,
|  | const std::vector< std::uint32_t > * | customBondInvariants = `nullptr`
| ) |  | const

## getFingerprint()

template<typename OutputType >

ExplicitBitVect* RDKit::FingerprintGenerator< OutputType >::getFingerprint | ( | const ROMol & | mol,
|  | const std::vector< std::uint32_t > * | fromAtoms = `nullptr`,
|  | const std::vector< std::uint32_t > * | ignoreAtoms = `nullptr`,
|  | const int | confId = `-1`,
|  | const AdditionalOutput * | additionalOutput = `nullptr`,
|  | const std::vector< std::uint32_t > * | customAtomInvariants = `nullptr`,
|  | const std::vector< std::uint32_t > * | customBondInvariants = `nullptr`
| ) |  | const

## getSparseCountFingerprint()

template<typename OutputType >

SparseIntVect<OutputType>* RDKit::FingerprintGenerator< OutputType >::getSparseCountFingerprint | ( | const ROMol & | mol,
|  | const std::vector< std::uint32_t > * | fromAtoms = `nullptr`,
|  | const std::vector< std::uint32_t > * | ignoreAtoms = `nullptr`,
|  | const int | confId = `-1`,
|  | const AdditionalOutput * | additionalOutput = `nullptr`,
|  | const std::vector< std::uint32_t > * | customAtomInvariants = `nullptr`,
|  | const std::vector< std::uint32_t > * | customBondInvariants = `nullptr`
| ) |  | const

## getSparseFingerprint()

template<typename OutputType >

SparseBitVect* RDKit::FingerprintGenerator< OutputType >::getSparseFingerprint | ( | const ROMol & | mol,
|  | const std::vector< std::uint32_t > * | fromAtoms = `nullptr`,
|  | const std::vector< std::uint32_t > * | ignoreAtoms = `nullptr`,
|  | const int | confId = `-1`,
|  | const AdditionalOutput * | additionalOutput = `nullptr`,
|  | const std::vector< std::uint32_t > * | customAtomInvariants = `nullptr`,
|  | const std::vector< std::uint32_t > * | customBondInvariants = `nullptr`
| ) |  | const

## infoString()

template<typename OutputType >

std::string RDKit::FingerprintGenerator< OutputType >::infoString | ( |  | ) | const

The documentation for this class was generated from the following file:

- FingerprintGenerator.h